Bug 19163 - Critical typo in stage-marc-import process
Summary: Critical typo in stage-marc-import process
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 19049
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-22 14:16 UTC by Marcel de Rooy
Modified: 2017-09-20 00:09 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19163: Critical typo in stage-marc-import process (1.30 KB, patch)
2017-08-22 14:18 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19163: [COUNTERPATCH] Adjust script instead of template (1.54 KB, patch)
2017-08-22 14:42 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19163: Critical typo in stage-marc-import process (1.79 KB, patch)
2017-08-22 17:49 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 19163: Critical typo in stage-marc-import process (1.83 KB, patch)
2017-08-22 22:48 UTC, Liz Rea
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2017-08-22 14:16:58 UTC
Template says ISO2709 but script wants MARC or MARCXML..
Slipped in with bug 19049.
Trivial but critical fix.
Comment 1 Marcel de Rooy 2017-08-22 14:18:37 UTC
Created attachment 66344 [details] [review]
Bug 19163: Critical typo in stage-marc-import process

Template says ISO2709 but script wants MARC or MARCXML..
Slipped in with bug 19049.
Trivial but critical fix.

Test plan:
Import a MARC file.
Comment 2 Marcel de Rooy 2017-08-22 14:28:33 UTC
Resolves [from intranet-error.log]:

[Tue Aug 22 16:09:24.735068 2017] [cgi:error] [pid 20766] AH01215: [Tue Aug 22 16:09:24 2017] stage-marc-import.pl: Plugin ISO2709 cannot be loaded at Koha/Plugins/Handler.pm line 72., referer: /cgi-bin/koha/tools/stage-marc-import.pl
Comment 3 Marcel de Rooy 2017-08-22 14:42:20 UTC
Created attachment 66346 [details] [review]
Bug 19163: [COUNTERPATCH] Adjust script instead of template

See previous patch.
Comment 4 Tomás Cohen Arazi 2017-08-22 17:49:38 UTC
Created attachment 66364 [details] [review]
Bug 19163: Critical typo in stage-marc-import process

Template says ISO2709 but script wants MARC or MARCXML..
Slipped in with bug 19049.
Trivial but critical fix.

Test plan:
Import a MARC file.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
I picked this fix because I think MARC is always ambiguous. ISO2709
clearly denotes the serialization format used.
Comment 5 Tomás Cohen Arazi 2017-08-22 17:52:07 UTC
Trivial fix, skipping QA.
Comment 6 Liz Rea 2017-08-22 22:48:05 UTC
Created attachment 66373 [details] [review]
Bug 19163: Critical typo in stage-marc-import process

Template says ISO2709 but script wants MARC or MARCXML..
Slipped in with bug 19049.
Trivial but critical fix.

Test plan:
Import a MARC file.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
I picked this fix because I think MARC is always ambiguous. ISO2709
clearly denotes the serialization format used.

Signed-off-by: Liz Rea <liz@catalyst.net.nz>
Just confirming this fixes the problem.
Comment 7 Marcel de Rooy 2017-08-23 11:04:25 UTC
Thanks Tomas and Liz for follow-up
Comment 8 Jonathan Druart 2017-08-23 13:23:53 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 9 Fridolin SOMERS 2017-09-12 14:11:42 UTC
Pushed to 17.05.x, will be in 17.05.04.
Comment 10 Katrin Fischer 2017-09-16 07:02:18 UTC
This patch has been pushed to 16.11.x and will be in 16.11.12.
Comment 11 Mason James 2017-09-20 00:09:55 UTC
Blocked by Enhancement (BZ 10407), skipping for 16.05.x